ThisBuild / version      := "0.1.0-SNAPSHOT"
ThisBuild / organization := "gs"

ThisBuild / homepage := Some(
  url("https://git.garrity.co/garrity-software/gs-semver-sbt-plugin")
)

ThisBuild / licenses := Seq(
  "Apache-2.0" -> url("http://www.apache.org/license/LICENSE-2.0")
)

lazy val root = Project("gs-semver-sbt-plugin", file("."))
  .enablePlugins(SbtPlugin)
  .settings(
    name := "gs-semver-sbt-plugin",
    libraryDependencies ++= Seq(
      "org.eclipse.jgit" % "org.eclipse.jgit" % "6.8.0.202311291450-r"
    ),
    pluginCrossBuild / sbtVersion := {
      scalaBinaryVersion.value match {
        // Minimum SBT version compatible with this plugin.
        case "2.12" => "1.9.0"
      }
    },
    scalacOptions := Seq(
      "-unchecked",
      "-deprecation",
      "-feature",
      "-encoding",
      "utf8"
    )
  )
